### Hierarchy

- DialogConfig

### Indexable

[propName: string]: any

## Index

### Properties

- appendInline
- closeTrigger
- closeWhenHidden
- content
- data
- disabled
- gap
- offset
- parentRef
- placement
- shouldClose
- title
- trigger
- wrapperClass

## Properties

### Optional appendInline

appendInline: boolean

- Defined in src/dialog/dialog-config.interface.ts:81

### Optional closeTrigger

closeTrigger: "mouseout" | "mouseleave"

- Defined in src/dialog/dialog-config.interface.ts:54

### Optional closeWhenHidden

closeWhenHidden: boolean

- Defined in src/dialog/dialog-config.interface.ts:64

### content

content: string | TemplateRef<any>

- Defined in src/dialog/dialog-config.interface.ts:46

### Optional data

data: Object

- Defined in src/dialog/dialog-config.interface.ts:85

### Optional disabled

disabled: boolean

- Defined in src/dialog/dialog-config.interface.ts:101

### Optional gap

gap: number

- Defined in src/dialog/dialog-config.interface.ts:73

### Optional offset

offset: object

- Defined in src/dialog/dialog-config.interface.ts:97

#### Type declaration

- ##### x: number

- ##### y: number

### Optional parentRef

parentRef: ElementRef

- Defined in src/dialog/dialog-config.interface.ts:77

### Optional placement

placement: string

- Defined in src/dialog/dialog-config.interface.ts:68

### Optional shouldClose

shouldClose: function

- Defined in src/dialog/dialog-config.interface.ts:58

#### Type declaration

- - (meta: CloseMeta): boolean

  - #### Parameters

    - ##### Optional meta: CloseMeta

    #### Returns boolean

### Optional title

title: string

- Defined in src/dialog/dialog-config.interface.ts:42

### Optional trigger

trigger: "click" | "hover" | "mouseenter"

- Defined in src/dialog/dialog-config.interface.ts:50

### Optional wrapperClass

wrapperClass: string

- Defined in src/dialog/dialog-config.interface.ts:93

Generated using TypeDoc